# The EvEmbed class

(PECL ev >= 0.2.0)

## Introduction

Used to embed one event loop into another.

## Class synopsis

EvEmbed extends EvWatcher {
/* Properties */
public $embed ;
/* Methods */
public __construct ( object `$other` [, callable `$callback` [, mixed `$data` [, int `$priority` ]]] )
final public static createStopped ( object `$other` [, callable `$callback` [, mixed `$data` [, int `$priority` ]]] ) : void
public set ( object `$other` ) : void
public sweep ( void ) : void
/* Inherited methods */
public EvWatcher::clear ( void ) : int
abstract public EvWatcher::__construct ( void )
public EvWatcher::feed ( int `$revents` ) : void
public EvWatcher::getLoop ( void ) : EvLoop
public EvWatcher::invoke ( int `$revents` ) : void
public EvWatcher::keepalive ([ bool `$value` ] ) : bool
public EvWatcher::setCallback ( callable `$callback` ) : void
public EvWatcher::start ( void ) : void
public EvWatcher::stop ( void ) : void
}

## Properties

is_active

data

is_pending

priority

embed

## Table of Contents

- EvEmbed::__construct — Constructs the EvEmbed object
- EvEmbed::createStopped — Create stopped EvEmbed watcher object
- EvEmbed::set — Configures the watcher
- EvEmbed::sweep — Make a single, non-blocking sweep over the embedded loop